org.etsi.uri._01903.v1_3

## Class CRLRefType

- java.lang.Object
- - org.etsi.uri._01903.v1_3.CRLRefType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-29T11:30:35+02:00",
                 comments="JAXB RI v2.3.7")
      public class CRLRefType
      extends Object
      implements Serializable

  Java class for CRLRefType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CRLRefType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="DigestAlgAndValue" type="{http://uri.etsi.org/01903/v1.3.2#}DigestAlgAndValueType"/>
               <element name="CRLIdentifier" type="{http://uri.etsi.org/01903/v1.3.2#}CRLIdentifierType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRLRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CRLIdentifierType` | `getCRLIdentifier()` Gets the value of the crlIdentifier property.
    `DigestAlgAndValueType` | `getDigestAlgAndValue()` Gets the value of the digestAlgAndValue property.
    `void` | `setCRLIdentifier(CRLIdentifierType value)` Sets the value of the crlIdentifier property.
    `void` | `setDigestAlgAndValue(DigestAlgAndValueType value)` Sets the value of the digestAlgAndValue property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CRLRefType

          public CRLRefType()

  - ### Method Detail

    - #### getDigestAlgAndValue

          public DigestAlgAndValueType getDigestAlgAndValue()

      Gets the value of the digestAlgAndValue property.
      Returns:
        possible object is `DigestAlgAndValueType`

    - #### setDigestAlgAndValue

          public void setDigestAlgAndValue(DigestAlgAndValueType value)

      Sets the value of the digestAlgAndValue property.
      Parameters:
        `value` - allowed object is `DigestAlgAndValueType`

    - #### getCRLIdentifier

          public CRLIdentifierType getCRLIdentifier()

      Gets the value of the crlIdentifier property.
      Returns:
        possible object is `CRLIdentifierType`

    - #### setCRLIdentifier

          public void setCRLIdentifier(CRLIdentifierType value)

      Sets the value of the crlIdentifier property.
      Parameters:
        `value` - allowed object is `CRLIdentifierType`

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.